do --(start of non-destructive hook)
--#****************************************************************************
--#**  Hook File:  /lua/sim/DefaultWeapons.lua
--#**  Modded By:  Gilbot-X
--#**
--#**  Summary  :  Default definitions of weapons
--#**
--#****************************************************************************

local PreviousVersion = DefaultProjectileWeapon
DefaultProjectileWeapon = Class(PreviousVersion) {		

    --#*
    --#*  Gilbot-X says:
    --#*      
    --#*  Add this so that we do not add to the weapon's bonus,
    --#*  but we set it outright.  This had to be changed because 
    --#*  I changed SetAdjacency in the StructureUnit class, to do
    --#*  similar.  I can do this because with this form of adjacency
    --#*  each unit can only receive bonuses from one source: 
    --#*  i.e. the network it is attached to.
    --#** 
    SetAdjacentEnergyMod = function(self, energyMod)
        self.AdjEnergyMod = 1 + energyMod
    end,

}


end --(end of non-destructive hook)