--#****************************************************************************
--#**  Hook File:  lua/ui/help/unitdescriptions.lua
--#**  Modded by:  Gilbot-X
--#**
--#**  Summary  :  Strings and images for the unit rollover System
--#**
--#**  
--#****************************************************************************
 
---------------------------------------- 
-- Exponential Mass Extractors mod
----------------------------------------
--# Aeon
Description['uab1103'] = "The mass output of this extractor will increase over time as it gets deeper into to the deposit source and becomes more efficient. It can also be upgraded to a more efficient version to speed up this process. If under attack, it can align itself into a defensive position and activate a strong personal shield. While it does this, the mass it extracts will be used to power the shields and none of its output will be available to the rest of the army's economy. The shield gets stronger as the mass extraction rate increases."

Description['uab1202'] = "The mass output of this extractor will increase over time as it gets deeper into to the deposit source and becomes more efficient. It can also be upgraded to a more efficient version to speed up this process. If under attack, it can align itself into a defensive position and activate a strong personal shield. While it does this, the mass it extracts will be used to power the shields and none of its output will be available to the rest of the army's economy. The shield gets stronger as the mass extraction rate increases."

Description['uab1302'] = "The mass output of this extractor will increase over time as it gets deeper into to the deposit source and becomes more efficient. If under attack, it can align itself into a defensive position and activate a strong personal shield. While it does this, the mass it extracts will be used to power the shields and none of its output will be available to the rest of the army's economy. The shield gets stronger as the mass extraction rate increases."

--# UEF
Description['ueb1103'] = "The mass output of this extractor will increase over time as it gets deeper into to the deposit source and becomes more efficient. It can also be upgraded to a more efficient version to speed up this process."

Description['ueb1202'] = "The mass output of this extractor will increase over time as it gets deeper into to the deposit source and becomes more efficient. It can also be upgraded to a more efficient version to speed up this process."

Description['ueb1302'] = "The mass output of this extractor will increase over time as it gets deeper into to the deposit source and becomes more efficient."

--# Cybran
Description['urb1103'] = "The mass output of this extractor will increase over time as it gets deeper into to the deposit source and becomes more efficient. It can also be upgraded to a more efficient version to speed up this process. It has built-in radar stealth capability to keep itself off of enemy radar."

Description['urb1202'] = "The mass output of this extractor will increase over time as it gets deeper into to the deposit source and becomes more efficient. It can also be upgraded to a more efficient version to speed up this process. It has built-in radar stealth capability to keep itself off of enemy radar."

Description['urb1302'] = "The mass output of this extractor will increase over time as it gets deeper into to the deposit source and becomes more efficient.  It has built-in radar stealth capability to keep itself off of enemy radar."


---------------------------------------- 
-- Exponential HCPP mod
----------------------------------------
--# Aeon
Description['uab1102'] = "Deposits of hydrocarbon-containing natural resources remain a viable form of energy to this day. The HCPP is much more efficient than a standard Power Generator.  Energy output increases over time as the HCPP optimises its harnessing of the natural resources it is built on. When uder attack, it can divert produced energy towards an intelligent sheilding system.  While the shielding system is in use, the energy output of the HCPP is not available to the rest of the resource grid."
--# UEF
Description['ueb1102'] = "Deposits of hydrocarbon-containing natural resources remain a viable form of Energy to this day. The HCPP is much more efficient than a standard Power Generator.  Energy output increases over time as the HCPP optimises its harnessing of the natural resources it is built on.  The UEF version also has the ability to divert power to its DLS (Damage Limitation System), effectively reducing damage done to it by 75%.  While the DLS is in use, the energy output of the HCPP is not available to the rest of the resource grid."
--# Cybran
Description['urb1102'] = "Deposits of hydrocarbon-containing natural resources remain a viable form of Energy to this day. The HCPP is much more efficient than a standard Power Generator.  Energy output increases over time as the HCPP optimises its harnessing of the natural resources it is built on.  The This model can make use of Cybran stealth and cloak technology to keep its presence unknown while it builds up its power output.  Stealth and cloak field ranges can be extended as more power becomes available."
 
 
---------------------------------------- 
-- Aeon Czar buff mod
----------------------------------------
--# Aeon
Description['uaa0310'] = "This version of the Czar is equipped with a personal shield, but it costs enormous amounts of power to operate.  Like the original version, it has some anti-air measures, but it can still be brought down by a large enough swarm of air superiority fighters. It is particularly vulnerable to SAM launchers, and won't last long with its shields down.  Its depth-charge weapon ensures that it is not totally defenseless against sea units."


---------------------------------------- 
-- Factory Toggles mod
----------------------------------------
--# Land Factories

--# Aeon
Description['uab0101'] = "This T1 land factory can toggle whether its units start off their life with their shields, cloak, intel, etc. already active.  The newly built unit will inherit whatever toggle settings the factory has."
Description['uab0201'] = "This T2 land factory can toggle whether its units start off their life with their shields, cloak, intel, etc. already active.  The newly built unit will inherit whatever toggle settings the factory has." 
Description['uab0301'] = "This T3 land factory can toggle whether its units start off their life with their shields, cloak, intel, etc. already active.  The newly built unit will inherit whatever toggle settings the factory has."
--# UEF
Description['ueb0101'] = "This T1 land factory can toggle whether its units start off their life with their shields, cloak, intel, etc. already active.  The newly built unit will inherit whatever toggle settings the factory has."
Description['ueb0201'] = "This T2 land factory can toggle whether its units start off their life with their shields, cloak, intel, etc. already active.  The newly built unit will inherit whatever toggle settings the factory has." 
Description['ueb0301'] = "This T3 land factory can toggle whether its units start off their life with their shields, cloak, intel, etc. already active.  The newly built unit will inherit whatever toggle settings the factory has."     
--# Cybran
Description['urb0101'] = "This T1 land factory can toggle whether its units start off their life with their shields, cloak, intel, etc. already active.  The newly built unit will inherit whatever toggle settings the factory has."
Description['urb0201'] = "This T2 land factory can toggle whether its units start off their life with their shields, cloak, intel, etc. already active.  The newly built unit will inherit whatever toggle settings the factory has." 
Description['urb0301'] = "This T3 land factory can toggle whether its units start off their life with their shields, cloak, intel, etc. already active.  The newly built unit will inherit whatever toggle settings the factory has."

--# Air Factories

--# Aeon
Description['uab0102'] = "This T1 air factory can toggle whether its units start off their life with their shields, cloak, intel, etc. already active.  The newly built unit will inherit whatever toggle settings the factory has."
Description['uab0202'] = "This T2 air factory can toggle whether its units start off their life with their shields, cloak, intel, etc. already active.  The newly built unit will inherit whatever toggle settings the factory has." 
Description['uab0302'] = "This T3 air factory can toggle whether its units start off their life with their shields, cloak, intel, etc. already active.  The newly built unit will inherit whatever toggle settings the factory has."
--# UEF
Description['ueb0102'] = "This T1 air factory can toggle whether its units start off their life with their shields, cloak, intel, etc. already active.  The newly built unit will inherit whatever toggle settings the factory has."
Description['ueb0202'] = "This T2 air factory can toggle whether its units start off their life with their shields, cloak, intel, etc. already active.  The newly built unit will inherit whatever toggle settings the factory has." 
Description['ueb0302'] = "This T3 air factory can toggle whether its units start off their life with their shields, cloak, intel, etc. already active.  The newly built unit will inherit whatever toggle settings the factory has."     
--# Cybran
Description['urb0102'] = "This T1 air factory can toggle whether its units start off their life with their shields, cloak, intel, etc. already active.  The newly built unit will inherit whatever toggle settings the factory has."
Description['urb0202'] = "This T2 air factory can toggle whether its units start off their life with their shields, cloak, intel, etc. already active.  The newly built unit will inherit whatever toggle settings the factory has." 
Description['urb0302'] = "This T3 air factory can toggle whether its units start off their life with their shields, cloak, intel, etc. already active.  The newly built unit will inherit whatever toggle settings the factory has."
 

--# Naval Factories

--# Aeon  
Description['uab0103'] = "This T1 naval factory can toggle whether its units start off their life with their shields, cloak, intel, etc. already active.  The newly built unit will inherit whatever toggle settings the factory has."
Description['uab0203'] = "This T2 naval factory can toggle whether its units start off their life with their shields, cloak, intel, etc. already active.  The newly built unit will inherit whatever toggle settings the factory has." 
Description['uab0303'] = "This T3 naval factory can toggle whether its units start off their life with their shields, cloak, intel, etc. already active.  The newly built unit will inherit whatever toggle settings the factory has."
--# UEF
Description['ueb0103'] = "This T1 naval factory can toggle whether its units start off their life with their shields, cloak, intel, etc. already active.  The newly built unit will inherit whatever toggle settings the factory has."
Description['ueb0203'] = "This T2 naval factory can toggle whether its units start off their life with their shields, cloak, intel, etc. already active.  The newly built unit will inherit whatever toggle settings the factory has." 
Description['ueb0303'] = "This T3 naval factory can toggle whether its units start off their life with their shields, cloak, intel, etc. already active.  The newly built unit will inherit whatever toggle settings the factory has."     
--# Cybran
Description['urb0103'] = "This T1 naval factory can toggle whether its units start off their life with their shields, cloak, intel, etc. already active.  The newly built unit will inherit whatever toggle settings the factory has."
Description['urb0203'] = "This T2 naval factory can toggle whether its units start off their life with their shields, cloak, intel, etc. already active.  The newly built unit will inherit whatever toggle settings the factory has." 
Description['urb0303'] = "This T3 naval factory can toggle whether its units start off their life with their shields, cloak, intel, etc. already active.  The newly built unit will inherit whatever toggle settings the factory has."
 
 
 
--# Aeon Shield Strength Enhancer
Description['uac1401b'] = "Attach this to a network of structures and any shield on the network will have increased resistance to projectiles.  Default increase for direct adjacency is 10%, but that can be increased to 100% using Alt-R to adjust its power.  This consumes more energy."



--# Pipelines

--# Aeon Pipelines
Description['gab5101'] = "Indirectly connect structures to distribute adjacency bonuses.  Indirectly connected units get only 50% of the bonus they would have got if they were directly adjacent."

Description['gab5201'] = "Short-distance remote connection. Connects subnetworks of structures to further distribute adjacency bonuses.  Remotely connected units get only 25% of the bonus they would have got if they were directly adjacent."

Description['gab5301'] = "Long-distance remote connection. Connects subnetworks of structures to further distribute adjacency bonuses.  Remotely connected units get only 25% of the bonus they would have got if they were directly adjacent."

--# UEF Pipelines
Description['geb5101'] = "Indirectly connect structures to distribute adjacency bonuses.  Indirectly connected units get only 50% of the bonus they would have got if they were directly adjacent."

Description['geb5201'] = "Short-distance remote connection. Connects subnetworks of structures to further distribute adjacency bonuses.  Remotely connected units get only 25% of the bonus they would have got if they were directly adjacent."

Description['geb5301'] = "Long-distance remote connection. Connects subnetworks of structures to further distribute adjacency bonuses.  Remotely connected units get only 25% of the bonus they would have got if they were directly adjacent."

--# Cybran Pipelines
Description['grb5101'] = "Indirectly connect structures to distribute adjacency bonuses.  Indirectly connected units get only 50% of the bonus they would have got if they were directly adjacent."

Description['grb5201'] = "Short-distance remote connection. Connects subnetworks of structures to further distribute adjacency bonuses.  Remotely connected units get only 25% of the bonus they would have got if they were directly adjacent."

Description['grb5301'] = "Long-distance remote connection. Connects subnetworks of structures to further distribute adjacency bonuses.  Remotely connected units get only 25% of the bonus they would have got if they were directly adjacent."

Description['grb5301b'] = "Extra-long-distance remote connection. Connects subnetworks of structures to further distribute adjacency bonuses.  Remotely connected units get only 25% of the bonus they would have got if they were directly adjacent.  They are created inside specialised Cybran structures disguised as wall units, which means they can be replaced without an engineer if they are damaged."

Description['urb5101g'] = "Disguised as a wall unit, this structure creates the experimental remote pipeline that connects subnetworks of structures over long distances to further distribute adjacency bonuses."