--#****************************************************************************
--#**
--#**  Hook File:  /units/UAB1303/UAB1303_script.lua
--#**  
--#**  Modded By:  Gilbot-X
--#**
--#**  Summary  :  UEF T3 Mass Fabricator
--#**
--#****************************************************************************

local PreviousVersion = import('/units/ueb1303/ueb1303_script.lua').UEB1303
local TMassFabricationUnit = import('/lua/terranunits.lua').TMassFabricationUnit

UEB1303 = Class(PreviousVersion) {

    OnProductionPaused = function(self)
        TMassFabricationUnit.OnProductionPaused(self)
        self:ForkThread(self.StopActiveAffects, self)
    end,
    
    
    StopActiveAffects = function(self)
        while not self.Rotator do WaitTicks(5) end
        self.Rotator:SetSpinDown(true)
        if self.AmbientEffects then
            self.AmbientEffects:Destroy()
            self.AmbientEffects = nil
        end  
    end,    
}

TypeClass = UEB1303