--#****************************************************************************
--#**
--#**  File     :  /mods/gilbotsimprovements/positioncorrections.lua
--#**  Author(s):  Gilbot-X
--#**
--#**  Summary  :  Apply corrections to position for custom units
--#**
--#****************************************************************************

local ApplyCorrection = function(unit, unitID, pos, xamount, zamount)
    if unit:GetUnitId() == unitID then 
        pos.x = pos.x + xamount
        pos.z = pos.z + zamount
    end
    return pos
end

ApplyPositionCorrection = function(unit, pos)
    pos = ApplyCorrection(unit, 'uab1301b', pos, 0.5, 0.5)
    pos = ApplyCorrection(unit, 'uec1901b', pos, 0.5, 0.5)
    pos = ApplyCorrection(unit, 'urb1301b', pos, 0.5, 0.5)
    pos = ApplyCorrection(unit, 'urb1201b', pos, 0.5, 0.5)
    return pos
end
      