--#****************************************************************************
--#**
--#**  New File :  /mods/gilbotsimprovements/units/GAB5301/GAB5301_script.lua
--#**  Author(s):  Gilbot-X
--#**
--#**  Summary  :  T3 Aeon Pipeline Script
--#**
--#****************************************************************************
local RemotePipeLineUnit = import('/mods/gilbotsimprovements/remotepipelines.lua').RemotePipeLineUnit

GAB5301 = Class(RemotePipeLineUnit) {


    OnCreate = function(self)
        --# Call superclass version
        RemotePipeLineUnit.OnCreate(self)
        
        --# Gilbot-X says: 
        --# This is for my Maintenance Consumption Breakdown Mod
        --# which keep tracks of which / how many types of resource 
        --# consuming abilities are currently active in the unit.
        self.EnabledResourceDrains = {
            Adjacency = true,
            Shield= true,
        }
        
    end,

}

TypeClass = GAB5301