--#****************************************************************************
--#**
--#**  New File :  /mods/gilbotsimprovements/units//GRB5301_script.lua
--#**  Author(s):  Gilbot-X
--#**
--#**  Summary  :  T3 Cybran Pipeline Script
--#**
--#****************************************************************************
local RemotePipeLineUnit = import('/mods/gilbotsimprovements/remotepipelines.lua').RemotePipeLineUnit

GRB5301 = Class(RemotePipeLineUnit)  {


    OnCreate = function(self)
        --# Call superclass version
        RemotePipeLineUnit.OnCreate(self)
        
        --# Gilbot-X says: 
        --# This is for my Maintenance Consumption Breakdown Mod
        --# which keep tracks of which / how many types of resource 
        --# consuming abilities are currently active in the unit.
        self.EnabledResourceDrains = {
            Adjacency = true,
            Shield= true,
        }
        
    end,
}

TypeClass = GRB5301